Bug 92264 - Build fix with newer bison 2.6.
: Build fix with newer bison 2.6.
Status: RESOLVED FIXED
Product: WebKit
Classification: Unclassified
Component: XML
: 528+ (Nightly build)
: PC Linux
: P2 Normal
Assigned To: Alexis Menard (darktears)
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-25 10:07 PDT by Alexis Menard (darktears)
Modified: 2012-07-30 15:18 PDT (History)
10 users (show)

See Also:


Attachments
Patch (1.71 KB, patch)
2012-07-25 10:12 PDT, Alexis Menard (darktears)
no flags Details | Formatted Diff | Diff
Patch (17.57 KB, patch)
2012-07-26 06:19 PDT, Alexis Menard (darktears)
no flags Details | Formatted Diff | Diff
Patch (17.64 KB, patch)
2012-07-26 06:46 PDT, Alexis Menard (darktears)
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Alexis Menard (darktears) 2012-07-25 10:07:55 PDT
Build fix with GCC 4.7.1
Comment 1 Alexis Menard (darktears) 2012-07-25 10:12:13 PDT
Created attachment 154381 [details]
Patch
Comment 2 Alexis Menard (darktears) 2012-07-25 10:15:45 PDT
*** Bug 91943 has been marked as a duplicate of this bug. ***
Comment 3 Alexis Menard (darktears) 2012-07-25 10:16:40 PDT
(In reply to comment #2)
> *** Bug 91943 has been marked as a duplicate of this bug. ***

According to the bug in fact the bison output is different.
Comment 4 Alexis Menard (darktears) 2012-07-25 10:19:59 PDT
Comment on attachment 154381 [details]
Patch

Clearing flags for now.
Comment 5 Rafael Brandao 2012-07-25 13:12:31 PDT
Comment on attachment 154381 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=154381&action=review

> Source/WebCore/ChangeLog:3
> +        Build fix with GCC 4.7.1

The bug title is different now.
Comment 6 Alexis Menard (darktears) 2012-07-25 13:47:58 PDT
(In reply to comment #5)
> (From update of attachment 154381 [details])
> View in context: https://bugs.webkit.org/attachment.cgi?id=154381&action=review
> 
> > Source/WebCore/ChangeLog:3
> > +        Build fix with GCC 4.7.1
> 
> The bug title is different now.

I know that's why I cleared the review flags. I will re upload a version but I'm making further investigation on the generated file of gperf.
Comment 7 Alexis Menard (darktears) 2012-07-25 13:49:24 PDT
(In reply to comment #6)
> (In reply to comment #5)
> > (From update of attachment 154381 [details] [details])
> > View in context: https://bugs.webkit.org/attachment.cgi?id=154381&action=review
> > 
> > > Source/WebCore/ChangeLog:3
> > > +        Build fix with GCC 4.7.1
> > 
> > The bug title is different now.
> 
> I know that's why I cleared the review flags. I will re upload a version but I'm making further investigation on the generated file of gperf.

sorry bison*
Comment 8 Mike Gilbert 2012-07-25 23:32:51 PDT
The release notes for bison 2.6 mention that the YYPARSE_PARAM macro has be deprecated. That might be a good place to start here.
Comment 9 Alexis Menard (darktears) 2012-07-26 06:19:07 PDT
Created attachment 154637 [details]
Patch
Comment 10 Alexis Menard (darktears) 2012-07-26 06:20:05 PDT
(In reply to comment #9)
> Created an attachment (id=154637) [details]
> Patch

Let's see EWS before asking for review. I'll give a shot on a Mac as EWS Mac is out of service for the moment.
Comment 11 WebKit Review Bot 2012-07-26 06:22:47 PDT
Attachment 154637 [details] did not pass style-queue:

Failed to run "['Tools/Scripts/check-webkit-style', '--diff-files', u'Source/WebCore/ChangeLog', u'Source/WebCor..." exit_code: 1
Source/WebCore/xml/XPathParser.cpp:45:  Alphabetical sorting problem.  [build/include_order] [4]
Total errors found: 1 in 5 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 12 Alexis Menard (darktears) 2012-07-26 06:46:06 PDT
Created attachment 154643 [details]
Patch
Comment 13 Alexis Menard (darktears) 2012-07-26 06:46:38 PDT
(In reply to comment #8)
> The release notes for bison 2.6 mention that the YYPARSE_PARAM macro has be deprecated. That might be a good place to start here.

That's what the last patch is addressing.
Comment 14 WebKit Review Bot 2012-07-26 06:49:32 PDT
Attachment 154643 [details] did not pass style-queue:

Failed to run "['Tools/Scripts/check-webkit-style', '--diff-files', u'Source/WebCore/ChangeLog', u'Source/WebCor..." exit_code: 1
Source/WebCore/xml/XPathParser.cpp:45:  Alphabetical sorting problem.  [build/include_order] [4]
Total errors found: 1 in 5 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 15 Mike Gilbert 2012-07-30 12:20:43 PDT
Is someone going to commit this? :)
Comment 16 Adam Barth 2012-07-30 15:00:51 PDT
Comment on attachment 154643 [details]
Patch

Ok
Comment 17 WebKit Review Bot 2012-07-30 15:18:36 PDT
Comment on attachment 154643 [details]
Patch

Clearing flags on attachment: 154643

Committed r124099: <http://trac.webkit.org/changeset/124099>
Comment 18 WebKit Review Bot 2012-07-30 15:18:42 PDT
All reviewed patches have been landed.  Closing bug.